Perform Symitar batch operations.
Operations
listBatchJobs
POST
Lists all available batch jobs.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
StatusMessagestringoptionalStatus message of the batch job.Loading fields…
POST
/nexum/{sym}/2022.01/batchjobs/listBatchJobsPOST /nexum/627/2022.01/batchjobs/listBatchJobs HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"UserNumberCredentials": {
"UserNumber": 1995,
"Password": "thiswillwerkOP00!"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}executeBatchJob
POST
Executes a batch job.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
AsyncbooleanoptionalWhether to run the batch job asynchronously.JobNamestringrequiredName of the batch job to execute.Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
StatusMessagestringoptionalStatus message of the batch job.TokenIdstringoptionalToken ID of the batch job.Loading fields…
POST
/nexum/{sym}/2022.01/batchjobs/executeBatchJobPOST /nexum/627/2022.01/batchjobs/executeBatchJob HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"UserNumberCredentials": {
"UserNumber": 1995,
"Password": "thiswillwerkOP00!"
}
},
"Async": true,
"JobName": "string",
"nxAttributes": {
"customFields": {}
}
}getBatchJobStatus
POST
Retrieves the status of a batch job.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
TokenIdstringrequiredToken ID of the batch job.Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
StatusMessagestringoptionalStatus message of the batch job.TokenIdobjectoptionalToken ID of the batch job.Loading fields…
POST
/nexum/{sym}/2022.01/batchjobs/getBatchJobStatusPOST /nexum/627/2022.01/batchjobs/getBatchJobStatus HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"UserNumberCredentials": {
"UserNumber": 1995,
"Password": "thiswillwerkOP00!"
}
},
"TokenId": "string",
"nxAttributes": {
"customFields": {}
}
}